function figtoepsrec(Dir,position)
% Convert all .fig to .epsc recursively in the directory D and its subdirectories.

D=dir(Dir);

for i=1:length(D)
	if D(i).isdir & ~strcmp(D(i).name,'.') & ~strcmp(D(i).name,'..'), figtoepsrec([Dir '/' D(i).name],position);	end
	if ~D(i).isdir & strcmp(D(i).name(end-3:end),'.fig'),
		filename = [Dir '/' D(i).name(1:end-4)];
		hgload(filename);
		if exist('position'), set(gcf,'Position',position); end
		figure(gcf);
		saveas(gcf,[filename '.fig'],'fig');
		saveas(gcf,[filename '.eps'],'epsc');
		close(gcf)
	end
end


%
% Part of DensityDeconvToolbox Version:100
% Written by: Jalal Fadili, GREYC CNRS ENSICAEN
%             Christophe Chesneau, LMNO University of Caen
% Created July 2011
% This material is distributed under CeCiLL licence.
% E-mail: Jalal.Fadili@greyc.ensicaen.fr
% 


