function rnd = laplace_rnd (r, c)
% usage:  laplace_rnd (r, c)
%
% Return an r by c matrix of random numbers from the Laplace
% distribution.
  
  if (nargin ~= 2)
    disp ('laplace_rnd (r, c)');
    return
  end

  if ( ~(isscalar (r) & (r > 0) & (r == round (r))) )
    error ('laplace_rnd:  r must be a positive integer');
  end
  if ( ~(isscalar (c) & (c > 0) & (c == round (c))) )
    error ('laplace_rnd:  c must be a positive integer');
  end

  tmp = rand (r, c);
  rnd = ((tmp < 1/2) .* log (2 * tmp) ...
	 - (tmp > 1/2) .* log (2 * (1 - tmp)));
  




%
% Part of DensityDeconvToolbox Version:100
% Written by: Jalal Fadili, GREYC CNRS ENSICAEN
%             Christophe Chesneau, LMNO University of Caen
% Created July 2011
% This material is distributed under CeCiLL licence.
% E-mail: Jalal.Fadili@greyc.ensicaen.fr
% 


